# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    project_photographer: '-tma'
    find_my_data_website_id: 
        'fr': '1'
    find_my_data_worker_type_id: 1
    find_my_data_url_base: https://www.dev.admin-trouvermonarchitecte.fr #  findmydata.dv https://www.admin-trouvermonarchitecte.fr
    default_country: fr
    languages: ['fr', 'en']
    main_skill_type_1: 1
    main_skill_type_2: 2
    main_attribute_1: 54  #41 
    main_attribute_2: 55  #1
    #id attribute style
    main_attribute_3: 58  #47
    main_attribute_4: 62  #13
    number_main_attribute: 5
    main_skill_type: [1, 2]
    google_key: AIzaSyDNkil3rKocVoPtfM-_-NuoApPY24yR4RU
    zip_code_url: true
    cache_version: 1865239
    country: 
        'fr': "['fr']"
    name_picto: Picto-Archi.png
    ipNotCount: ['197.0.0.87', '197.5.65.84', '81.250.135.28']
    email_archi_bo: 'marketing@trouver-mon-architecte.fr'
    email_info: 'info@trouver-mon-architecte.fr'
    email_contact: 'info@trouver-mon-architecte.fr'
    email_admin: 'info@trouver-mon-architecte.fr'
    email_b_to_c: 'info@trouver-mon-architecte.fr'
    email_inscription: 'info@trouver-mon-architecte.fr'
    email_paiement: 'payement@trouver-mon-architecte.fr'
    data_dir: '%kernel.project_dir%/'
    name_logo: 'Logos-TMA-WEB_FR'
    website: trouver-mon-architecte.fr
    default_lat: 46.227638
    default_lng: 2.213749
    main_attributes_ids: [1,5,9,13,41,47]
    attribute_0: 47 # Style
    attribute_1: 41 # Mission
    attribute_2: 1 # Localisation
    attribute_3: 5 # Tarifs
    attribute_4: 9 # Moyen de paiement
    attribute_5: 13 # Langue parlées
    server_ip: 146.88.235.159
    camelCaseWebsites: ['uk', 'ir', 'in', 'es', 'de']
    upperCamelCaseWebsites: ['fr', 'ch', 'be', 'lu', 'it']
    find_my_worker_website:
        'fr': "https://www.trouver-mon-photographe.fr/"

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'
            - '../src/Tests/'

    # controllers are imported separately to make sure services can be injected
    # as action arguments even if you don't extend any base controller class
    App\Controller\:
        resource: '../src/Controller/'
        tags: ['controller.service_arguments']

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones

